slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPReset

Resets the PEP context to the initial state (prior to setup) and destroys any allocated Vecs and Mats.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPReset(PEP pep)

Collective

### Input Parameter

| pep | - eigensolver context obtained from PEPCreate()

### See Also

PEPDestroy()

### Level

advanced

### Location

src/pep/interface/pepbasic.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages